# https://github.com/zeromq/pyzmq/archive/v17.0.0.tar.gz
%global _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%define module pyzmq

Name:           python-%{module}
Version:        23.2.0
Release:        %mkrel 1
Summary:        Python bindings for zeromq
License:        LGPLv3+ and ASL 2.0 and BSD
Group:          Development/Python
Url:            http://github.com/zeromq/pyzmq
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  chrpath
BuildRequires:  zeromq-devel
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       %{_lib}zmq5

%description
This package contains Python bindings for zeromq, a lightweight and
fast messaging implementation.

%package -n python3-%{module}
Summary:        Software library for fast, message-based applications
Group:          Development/Python
Requires:       %{_lib}zmq5

%description -n python3-%{module}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the python 3 bindings.

%prep
%setup -qn %{module}-%{version}
find zmq/eventloop -iname \*.py -exec sed -i 's/^#!.*//g' {} \;
chmod -x examples/pubsub/topics_{s,p}ub.py

%build
%{py3_build}

%install
%global RPATH /zmq/{backend/cython,devices}
%{py3_install}
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
chrpath --delete %{buildroot}%{python3_sitearch}%{RPATH}/*.so

%files -n python3-%{module}
%doc README.md COPYING.*
%{python3_sitearch}/%{module}-*.egg-info
%{python3_sitearch}/zmq

%changelog
* Sat Jun 25 2022 TerryN <terryn94 at gmail.com> 23.2.0-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 06 2018 marcin82 <fixxer1982 at gmail.com> 17.0.0-1pclos2018
- update

* Fri Mar 31 2017 bb2 <bb2. - 15.2.0-2pclos2017
- rebuild

* Sun Mar 20 2016 bb <bb> - 15.2.0-1pclos2016
- update
